Bug 861250 - please backport YUM’s --setopt=exit_on_lock=true feature
Summary: please backport YUM’s --setopt=exit_on_lock=true feature
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.10
Hardware: All
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1049888
TreeView+ depends on / blocked
 
Reported: 2012-09-27 23:34 UTC by Christoph Anton Mitterer
Modified: 2014-02-04 15:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-18 21:40:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 861251 0 unspecified CLOSED please backport YUM’s --setopt=exit_on_lock=true feature 2021-02-22 00:41:40 UTC

Internal Links: 861251

Description Christoph Anton Mitterer 2012-09-27 23:34:54 UTC
Hi.

I'm currently maintaining check_yum[0] which is THE Nagios/Icinga check for the YUM package update status.

A rather important feature of check_yum is its "--no-warn-on-lock" option, which makes that invocations of check_yum that fail (due to an already running/blocking YUM) are ignored.
Otherwise one would get many false positives.

Now the thing is that (since some time?) YUM blocks, when another YUM process is already running (which is undesired for check_yum, as it will run into a timeout, which must be considered an error).

Now recent yum versions support a feature (--setopt=exit_on_lock=true) which makes YUM exit, when the lock cannot be gained.

In a thread[1] on yum-devel, James Antill suggested me that it should be very easy to backport that feature for RHEL5 and that I should ask here for it.


Thanks,
Chris.



[0] https://code.google.com/p/check-yum/
[1] http://lists.baseurl.org/pipermail/yum-devel/2012-September/009641.html

Comment 1 Zdeněk Pavlas 2013-03-21 12:44:46 UTC
Yes, it's simple.  I have the backport ready.

Comment 2 RHEL Program Management 2013-05-01 07:19:02 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 3 James Antill 2013-12-18 21:40:06 UTC
 So I'm going to close this out now, as it's really too late in RHEL-5 to add those kinds of UI features. But if you do want them then the first version of yum for RHEL-6 did contain them, and could be rebuilt for RHEL-5.

 Also might be better to go straight to yum API instead of using cmd line client.


Note You need to log in before you can comment on or make changes to this bug.